Articles of instalar

Python3: ImportError: no hay un módulo llamado ‘_ctypes’ cuando se usa el valor de multiprocesamiento de módulos

Estoy usando Ubuntu y he instalado Python 2.7.5 y 3.4.0. En Python 2.7.5 puedo asignar con éxito una variable x = Value(‘i’, 2) , pero no en 3.4.0. Estoy obteniendo: Traceback (most recent call last): File “”, line 1, in File “/usr/local/lib/python3.4/multiprocessing/context.py”, line 132, in Value from .sharedctypes import Value File “/usr/local/lib/python3.4/multiprocessing/sharedctypes.py”, line 10, in […]

Instale Python 2.6 sin usar el instalador en Win32

Necesito ejecutar un script de Python en una máquina que no tenga Python instalado. Uso Python como parte de un paquete de software, y Python se ejecuta detrás de la cortina sin que el usuario se dé cuenta. Lo que hice fue como sigue. Copie python.exe, python26.dll, msvcr90.dll y Microsoft.VC90.CRT.manifest Zip todo el directorio en […]

pip install pygraphviz: No se encontró el paquete ‘libcgraph’

graphviz instalar graphviz y cgraph con $ sudo pip install graphviz …. Successfully installed graphviz-0.5.1 $ sudo pip install cgraph … Successfully installed cgraph-0.1 Encuentro el problema No package ‘libcgraph’ found encontró el No package ‘libcgraph’ found al ejecutar sudo pip install pygraphviz . A continuación se muestra el stacktrace completo. $ sudo pip install […]

Tensorflow r1.0: no se pudo encontrar una versión que satisfaga el requisito tensorflow

Quiero instalar Tensorflow 1.o para python en windows. Esta es información para mi sistema. D:\>python –version Python 3.5.2 :: Anaconda 4.2.0 (32-bit) D:\>pip3 –version pip 9.0.1 from d:\web\anaconda\lib\site-packages (python 3.5)’ Pero, cuando ejecuto debajo del comando, D:\>pip3 install tensorflow Collecting tensorflow Could not find a version that satisfies the requirement tensorflow (from versions: ) No […]

Problema de instalación de xgboost con anaconda.

Estoy usando Anaconda. Primero cambié a Python2 (versión 2.7.11). python -V Python 2.7.11 :: Continuum Analytics, Inc. Utilicé el siguiente comando para instalar xgboost en anaconda. conda install -c https://conda.anaconda.org/akode xgboost Entonces comprobé que xgboost está instalado. conda list xgboost 0.3 py27_0 akode Ejecuto python en la terminal, importe xgboost y obtuve los siguientes errores. […]

¿Cómo instalar PyInstaller?

(Estoy en Windows). Quiero usar PyInstaller . Siempre podría crear archivos bin con pyinstaller.py [args] . No es un paquete con un archivo __init__.py , no tiene setup.py y no funciona para crear una carpeta, ponerla en mi PYTHONPATH, poner pyinstaller\[files] en esa carpeta y luego hacer una llamada a python pyinstaller\pyinstaller.py . pyinstaller.org solo […]

¿Cómo instalar python-dateutil en Windows?

Estoy tratando de convertir algunas fechas / horas a UTC, lo que pensé que sería muy simple en Python, baterías incluidas, ¿verdad? Bueno, sería simple excepto que Python (2.6) no incluye ninguna clase tzinfo. No hay problema, una búsqueda rápida muestra python-dateutil que debería hacer exactamente lo que necesito. El problema es que necesito instalarlo […]

PyPDF2 no importará

Hola, acabo de empezar con Python y estoy intentando instalar algunas bibliotecas necesarias. Utilizando Python 3.4.1 en OS X. He instalado PyPDF2 (con un supuesto éxito), pero parece que no puedo usar las herramientas: sh-3.2# port select –list python Available versions for python: none python25-apple python26 python26-apple python27-apple python34 (active) sh-3.2# pip install PyPDF2 Requirement […]

La instalación de Python y su distribución en Windows 7 le da “Error al escribir … permiso denegado”

Estoy en Windows 7 (lo cual admito completamente, no entiendo el modelo de permisos de. Lo estoy leyendo en otras tabs). Mi usuario es un administrador. Cuando trato de ejecutar “python distrib_setup.py”, se me “quiebran los permisos de escritura … permiso denegado” y luego “error: no puedo crear o eliminar archivos en el directorio de […]

ImportError: no se puede importar el nombre ‘_BACKCOMPAT_MAGIC_NUMBER’

Intentando usar pip para instalar, acaba de instalar otra versión de python (3.4) obtener error ImportError: cannot import name ‘_BACKCOMPAT_MAGIC_NUMBER’